Bug 216574 - x11/nvidia-driver-304 304.134: GLX work only for root
Summary: x11/nvidia-driver-304 304.134: GLX work only for root
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Alexey Dokuchaev
URL:
Keywords:
Depends on: 217341
Blocks:
  Show dependency treegraph
 
Reported: 2017-01-29 15:16 UTC by VVD
Modified: 2017-06-16 11:27 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (danfe)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description VVD 2017-01-29 15:16:40 UTC
$ pkg info|grep nvidia-driver
nvidia-driver-304-304.134      NVidia graphics card binary drivers for hardware OpenGL rendering
$ uname -srm
FreeBSD 11.0-RELEASE-p7 i386
$ pciconf -lv|grep -A4 vgapci
vgapci0@pci0:1:0:0:     class=0x030000 card=0x81ad1043 chip=0x00f210de rev=0xa2 hdr=0x00
    vendor     = 'NVIDIA Corporation'
    device     = 'NV43 [GeForce 6600]'
    class      = display
    subclass   = VGA

$ glxinfo 
name of display: :0
X Error of failed request:  BadValue (integer parameter out of range for operation)
  Major opcode of failed request:  154 (GLX)
  Minor opcode of failed request:  24 (X_GLXCreateNewContext)
  Value in failed request:  0x0
  Serial number of failed request:  87
  Current serial number in output stream:  88

$ sudo glxinfo   
Password: 
name of display: :0
display: :0  screen: 0
direct rendering: Yes
server glx vendor string: NVIDIA Corporation
server glx version string: 1.4
server glx extensions:
    GLX_ARB_create_context, GLX_ARB_create_context_profile, 
    GLX_ARB_create_context_robustness, GLX_ARB_fbconfig_float, 
    GLX_ARB_multisample, GLX_EXT_create_context_es2_profile, 
    GLX_EXT_create_context_es_profile, GLX_EXT_swap_control, 
    GLX_EXT_swap_control_tear, GLX_EXT_texture_from_pixmap, 
    GLX_EXT_visual_info, GLX_EXT_visual_rating, GLX_NV_float_buffer, 
    GLX_SGIX_fbconfig, GLX_SGIX_pbuffer, GLX_SGI_swap_control, 
    GLX_SGI_video_sync
client glx vendor string: NVIDIA Corporation
client glx version string: 1.4
client glx extensions:
< … very long output was here … >

OpenGL application work fine from root and don't work from regular user.
nvidia-driver-304-304.131 work fine.
This bug is same as on Linux: https://devtalk.nvidia.com/default/topic/968892/geforce-7300le-with-304-132-glxinfo-fails-now-with-quot-x-error-of-failed-request-badvalue-quot-/

IMHO:
1. Rollback to 304.131.
2. Make bug report to upstream.
3. Wait till upstream fixed.
4. Update to fixed version.
Comment 1 smars 2017-01-29 16:19:22 UTC
same problem, also works as root:
pkg info | grep nvidia-driver
nvidia-driver-304-304.134

uname -srm
FreeBSD 11.0-RELEASE-p7 amd64

pciconf -lv|grep -A4 vgapci
vgapci0@pci0:1:0:0:	class=0x030000 card=0x049110de chip=0x040a10de rev=0xa1 hdr=0x00
    vendor     = 'NVIDIA Corporation'
    device     = 'G84GL [Quadro FX 370]'
    class      = display
    subclass   = VGA
Comment 2 VVD 2017-01-30 03:35:46 UTC
Sorry, incorrect bug-report.
Comment 3 VVD 2017-02-04 15:10:03 UTC
Downgrade to 304.131 fixed.
Comment 4 commit-hook freebsd_committer 2017-04-03 12:09:30 UTC
A commit references this bug:

Author: danfe
Date: Mon Apr  3 12:08:32 UTC 2017
New revision: 437618
URL: https://svnweb.freebsd.org/changeset/ports/437618

Log:
  Update nVidia drivers to their most recent versions: 375.39 (long lived
  branch); legacy versions: 340.102 and 304.135.

  PR:	216574, 217341

Changes:
  head/x11/nvidia-driver/Makefile
  head/x11/nvidia-driver/distinfo
  head/x11/nvidia-driver/files/extra-patch-src_nvidia-modeset_nvidia-modeset-freebsd.c
  head/x11/nvidia-driver-304/Makefile
  head/x11/nvidia-driver-340/Makefile
Comment 5 Alexey Dokuchaev freebsd_committer 2017-04-03 13:15:02 UTC
It was reported by tijl@ that version 304.135 should fix this.  Can you update the ports tree to ports r437618 (or above) and confirm?
Comment 6 VVD 2017-06-16 11:27:16 UTC
Thanks!
Fixed in 304.135.